Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 256003003: Enable Automatic Passwords Saving (Closed)

Created:
6 years, 6 months ago by rchtara
Modified:
6 years, 5 months ago
Reviewers:
vabr (Chromium)
CC:
chromium-reviews, jar (doing other things), benquan, browser-components-watch_chromium.org, asvitkine+watch_chromium.org, Dane Wallinga, dyu1, estade+watch_chromium.org, stgao, Ilya Sherman, rouslan+autofillwatch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

Enable Automatic Passwords Saving A new flag "enable-automatic-password-saving" is added in this cl to chrome to allow automatic passwords saving. This flag is intended for testing use, not for end users. BUG=367690 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=267214

Patch Set 1 #

Total comments: 32

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : removing pref #

Patch Set 5 : #

Patch Set 6 : #

Total comments: 4

Patch Set 7 : #

Patch Set 8 : tests #

Total comments: 9

Patch Set 9 : #

Total comments: 6

Patch Set 10 : #

Total comments: 4

Patch Set 11 : #

Total comments: 2

Patch Set 12 : #

Patch Set 13 : #

Patch Set 14 : rebase #

Patch Set 15 : custombuildonly #

Total comments: 8

Patch Set 16 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+112 lines, -1 line) Patch
M chrome/app/generated_resources.grd View 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +8 lines, -0 lines 0 comments Download
M chrome/browser/password_manager/chrome_password_manager_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/password_manager/chrome_password_manager_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +8 lines, -0 lines 0 comments Download
M chrome/browser/password_manager/chrome_password_manager_client_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +19 lines, -0 lines 0 comments Download
M chrome/browser/password_manager/password_manager_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 4 chunks +52 lines, -0 lines 0 comments Download
M components/password_manager/core/browser/password_manager.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -1 line 0 comments Download
M components/password_manager/core/browser/password_manager_client.h View 1 2 3 4 5 1 chunk +6 lines, -0 lines 0 comments Download
M components/password_manager/core/browser/password_manager_client.cc View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M components/password_manager/core/common/password_manager_switches.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M components/password_manager/core/common/password_manager_switches.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +5 lines, -0 lines 0 comments Download

Messages

Total messages: 54 (0 generated)
rchtara
Hi Vaclav, Could you please review this cl, Thanks a lot Riadh
6 years, 6 months ago (2014-04-28 08:25:56 UTC) #1
vabr (Chromium)
Hi Riadh. First of all: 1) Please create a bug for this, and explain what ...
6 years, 6 months ago (2014-04-28 09:13:14 UTC) #2
rchtara
Hi vaclav, Great! Thanks a lot. I updated the CL, and fixed every thing you ...
6 years, 6 months ago (2014-04-28 11:28:29 UTC) #3
vabr (Chromium)
Thanks, Riadh, the changes so far look good. However, before I can approve the CL, ...
6 years, 6 months ago (2014-04-28 13:43:41 UTC) #4
rchtara
Hi vaclav, I have just fixed the small issues. I will start working on the ...
6 years, 6 months ago (2014-04-28 15:13:08 UTC) #5
rchtara
Hi vaclav, I added the tests. Could you please check them ? Thanks a lot ...
6 years, 6 months ago (2014-04-29 08:31:14 UTC) #6
vabr (Chromium)
Thanks, Riadh, I like the tests you added. However, there is one piece missing in ...
6 years, 6 months ago (2014-04-29 09:08:25 UTC) #7
rchtara
Hi vaclav, I updated the cl. Thanks a lot for the review Riadh https://codereview.chromium.org/256003003/diff/150001/chrome/browser/password_manager/chrome_password_manager_client.h File ...
6 years, 6 months ago (2014-04-29 12:20:07 UTC) #8
vabr (Chromium)
Awesome, thanks a lot, Riadh. LGTM: after you address my final comments, feel free to ...
6 years, 6 months ago (2014-04-29 13:04:43 UTC) #9
rchtara
The CQ bit was checked by rchtara@chromium.org
6 years, 6 months ago (2014-04-29 13:48:42 UTC) #10
rchtara
The CQ bit was unchecked by rchtara@chromium.org
6 years, 6 months ago (2014-04-29 13:48:57 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rchtara@chromium.org/256003003/200001
6 years, 6 months ago (2014-04-29 13:49:04 UTC) #12
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 6 months ago (2014-04-29 13:49:13 UTC) #13
commit-bot: I haz the power
Failed to apply patch for chrome/browser/password_manager/chrome_password_manager_client.cc: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
6 years, 6 months ago (2014-04-29 13:49:14 UTC) #14
rchtara
Hi, Great!! It's time to commit. Thanks a lot for you help vaclav Riadh https://codereview.chromium.org/256003003/diff/170001/chrome/browser/password_manager/chrome_password_manager_client_unittest.cc ...
6 years, 6 months ago (2014-04-29 13:51:23 UTC) #15
rchtara
The CQ bit was checked by rchtara@chromium.org
6 years, 6 months ago (2014-04-29 13:51:59 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rchtara@chromium.org/256003003/200001
6 years, 6 months ago (2014-04-29 13:52:16 UTC) #17
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 6 months ago (2014-04-29 13:52:24 UTC) #18
commit-bot: I haz the power
Failed to apply patch for chrome/browser/password_manager/chrome_password_manager_client.cc: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
6 years, 6 months ago (2014-04-29 13:52:24 UTC) #19
vabr (Chromium)
Hi Riadh, Still LGTM, but please address the new comments below. Cheers, Vaclav https://codereview.chromium.org/256003003/diff/170002/chrome/browser/password_manager/password_manager_browsertest.cc File ...
6 years, 6 months ago (2014-04-29 13:58:45 UTC) #20
rchtara
Hi, Ok, I fixed them, I hope every thing is fine. Thanks a lot Vaclav ...
6 years, 6 months ago (2014-04-29 14:25:02 UTC) #21
vabr (Chromium)
Thanks, Riadh. LGTM, no further comments. Feel free to send to the Commit Queue again. ...
6 years, 6 months ago (2014-04-29 14:34:06 UTC) #22
rchtara
Great, but there was same conflict. So, I'm now merging before sending to the commit ...
6 years, 6 months ago (2014-04-29 14:52:13 UTC) #23
vabr (Chromium)
Hi Riadh, I chatted with our PM, and because of the sensitive nature of this, ...
6 years, 6 months ago (2014-04-29 15:56:06 UTC) #24
rchtara
Hi vaclav, Could you please have a look to the new patch. Thanks a lot ...
6 years, 5 months ago (2014-04-30 07:29:35 UTC) #25
vabr (Chromium)
Thanks, Riadh. Almost there! One important comment and a couple of nits below. Thanks, Vaclav ...
6 years, 5 months ago (2014-04-30 07:46:31 UTC) #26
rchtara
Hi, Could you please check the new patch Thanks a lot Riadh
6 years, 5 months ago (2014-04-30 08:28:02 UTC) #27
vabr (Chromium)
LGTM, woohoo! :)
6 years, 5 months ago (2014-04-30 09:04:03 UTC) #28
rchtara
The CQ bit was checked by rchtara@chromium.org
6 years, 5 months ago (2014-04-30 09:05:22 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rchtara@chromium.org/256003003/300001
6 years, 5 months ago (2014-04-30 09:05:42 UTC) #30
rchtara
AWESOME !!!! :)
6 years, 5 months ago (2014-04-30 09:06:10 UTC) #31
rchtara
https://codereview.chromium.org/256003003/diff/280001/chrome/browser/password_manager/chrome_password_manager_client.cc File chrome/browser/password_manager/chrome_password_manager_client.cc (right): https://codereview.chromium.org/256003003/diff/280001/chrome/browser/password_manager/chrome_password_manager_client.cc#newcode11 chrome/browser/password_manager/chrome_password_manager_client.cc:11: On 2014/04/30 07:46:31, vabr (Chromium) wrote: > nit: Please ...
6 years, 5 months ago (2014-04-30 09:06:38 UTC) #32
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 5 months ago (2014-04-30 09:25:17 UTC) #33
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel on tryserver.chromium
6 years, 5 months ago (2014-04-30 09:25:18 UTC) #34
vabr (Chromium)
On 2014/04/30 09:25:18, I haz the power (commit-bot) wrote: > Try jobs failed on following ...
6 years, 5 months ago (2014-04-30 10:07:13 UTC) #35
vabr (Chromium)
The CQ bit was checked by vabr@chromium.org
6 years, 5 months ago (2014-04-30 10:07:21 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rchtara@chromium.org/256003003/300001
6 years, 5 months ago (2014-04-30 10:07:53 UTC) #37
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 5 months ago (2014-04-30 10:10:40 UTC) #38
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium
6 years, 5 months ago (2014-04-30 10:10:41 UTC) #39
vabr (Chromium)
The CQ bit was checked by vabr@chromium.org
6 years, 5 months ago (2014-04-30 11:32:09 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rchtara@chromium.org/256003003/300001
6 years, 5 months ago (2014-04-30 11:32:25 UTC) #41
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 5 months ago (2014-04-30 11:35:02 UTC) #42
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium
6 years, 5 months ago (2014-04-30 11:35:03 UTC) #43
vabr (Chromium)
The CQ bit was checked by vabr@chromium.org
6 years, 5 months ago (2014-04-30 11:37:15 UTC) #44
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rchtara@chromium.org/256003003/300001
6 years, 5 months ago (2014-04-30 11:37:42 UTC) #45
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 5 months ago (2014-04-30 12:37:50 UTC) #46
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium
6 years, 5 months ago (2014-04-30 12:37:51 UTC) #47
vabr (Chromium)
The CQ bit was checked by vabr@chromium.org
6 years, 5 months ago (2014-04-30 12:53:50 UTC) #48
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rchtara@chromium.org/256003003/300001
6 years, 5 months ago (2014-04-30 12:53:56 UTC) #49
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 5 months ago (2014-04-30 12:56:58 UTC) #50
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium
6 years, 5 months ago (2014-04-30 12:56:58 UTC) #51
vabr (Chromium)
The CQ bit was checked by vabr@chromium.org
6 years, 5 months ago (2014-04-30 13:32:50 UTC) #52
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rchtara@chromium.org/256003003/300001
6 years, 5 months ago (2014-04-30 13:33:23 UTC) #53
commit-bot: I haz the power
6 years, 5 months ago (2014-04-30 15:02:20 UTC) #54
Message was sent while issue was closed.
Change committed as 267214

Powered by Google App Engine
This is Rietveld 408576698